petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDATSSetIFunctionLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetIFunctionLocal(DM dm,InsertMode imode,DMDATSIFunctionLocal func,void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local residual evaluation
| ctx | - optional context for local residual evaluation

### Calling sequence for func

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on
| t | - time at which to evaluate residual
| x | - array of local state information
| xdot | - array of local time derivative information
| f | - output array of local function evaluation information
| ctx | - optional context passed above

### See Also

DMTSSetIFunction(), DMDATSSetIJacobianLocal(), DMDASNESSetFunctionLocal()

Level:beginner
Location:src/ts/utils/dmdats.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex26.c.html